=== debian/changelog ===
ros-indigo-agni-tf-tools (0.1.0-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 30 Mar 2018 10:58:36 -0000
